      subroutine hec_geoe
c
c read bank GEOE
c
      implicit none
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c adc channel info common
c
      include'./inc/hec_pad.inc'
c
c local variables
c
      integer i
      integer k
      integer adc               !adc value
c
      integer ic                !adc channel number
      integer i_mod
      integer i_seg
      integer i_pad
      integer i_eta
      integer i_phi
      integer i_z
c
c read bank GEOE
c
      call fzin(lunzeb, ixstor, igeoe, 2, ' ', 0, 0)
      if (iquest(1) .ne. 0) return
c
c reset adc arrays
c
      call vzero(i_adc_val, i_adc_dim)
      call vzero(i_adc_db, i_mod_max*i_seg_max*i_pad_max)
      call vzero(i_adc_ph, i_eta_max*i_phi_max*i_z_max)
c
c loop over adc in bank and fill common
c
      k=nint(q(igeoe + 1))
      do i = 2, k, 2
        ic = nint(q(igeoe + i))
        adc = nint(q(igeoe + i + 1))
        if (ic .le. 0) then
          print *, ' *** bad pad number in hec_geoe'
          stop
        elseif (ic .le. i_adc_used) then
          i_adc_val(ic) = adc
        endif
      enddo
c
c fill adc array in database and physics systems
c
      do ic = 1, i_adc_used
        i_mod = ictodb(ic, 1)
        i_seg = ictodb(ic, 2)
        i_pad = ictodb(ic, 3)
        i_adc_db(i_mod, i_seg, i_pad) = i_adc_val(ic)
c
        i_eta = ictoph(ic, 1)
        i_phi = ictoph(ic, 2)
        i_z   = ictoph(ic, 3)
        i_adc_ph(i_eta, i_phi, i_z) = i_adc_val(ic)
      enddo
c
c      print *,' *** GEOE read'
c
      end
