      subroutine hec_ini
c
c initialization routine
c
c 1- ffread initialization
c 2- user initialization
c 3- read user datacards
c 4- fill geometry correspondence tables
c 5- read calibration file if desired
c 6- zebra initialization
c 7- hbook initialization
c
      implicit none
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c user datacard values common
c
      include'./inc/hec_datacard.inc'
c
c ffread common
c
      integer maxffr
      parameter (maxffr=2000)
      real ffspac(maxffr)
      common /cfread/ ffspac
c
c zebra initialization
c
      call mzebra(-1)
      ixstor=0
      call mzstor(ixstor,'/zzz/','.',ifence,lev,blvect(1),blvect(1),
     +blvect(100000),blvect(1600001))
      if (ixstor .ne. 0) then
        print *,' from mzstor: ixstor = ',ixstor
        stop
      endif
c
c ffread initialization
c
      call ffinit(maxffr)
      call ffset('SIZE', 5)
      call ffkey('npass', n_pass,     1, 'mixe')
      call ffkey('nevtm', n_evtmax,   1, 'mixe')
      call ffkey('runpd', irunpd,     1, 'mixe')
      call ffkey('mpeds', make_ped,   1, 'mixe')
      call ffkey('cpeds', scut_ped,   1, 'mixe')
      call ffkey('rpeds', k_rdped,    1, 'mixe')
      call ffkey('rdcal', k_rdcal,    1, 'mixe')
      call ffkey('lunpe', lunped,     1, 'mixe')
      call ffkey('lunca', luncal,     1, 'mixe')
      call ffkey('lunze', lunzeb,     1, 'mixe')
c
c user initialization
c
      call user_ini
c
c read user datacards
c
      call ffgo
c
c fill geometry correspondence tables and clear channels
c
      call hec_geo
c
c read pedestal file if required
c
      if (k_rdped .gt. 0) call hec_read_ped
c
c read calibration file if required
c
      if (k_rdcal .gt. 0) call hec_read_cal
c
c open zebra file
c
      open(lunzeb,file='bank.fz',form='unformatted',status='old')
c
c hbook initialization
c
      call hlimit(-900000)
c
      print *,' *** initialization done'
c
      end

